Subject: Re: (subset) linux-next: build failure after merge of the pwm tree

From: Sean Young <[email-masked]>
Date: Thu, 4 Jan 2024 12:50:28 +0000

On Thu, Jan 04, 2024 at 05:02:41PM +0700, Bagas Sanjaya wrote:
> [also add Jingoo (additional backlight maintainer) and Linus]
> 
> On Thu, Dec 21, 2023 at 07:34:57PM +0100, Thierry Reding wrote:
> > On Thu, Dec 21, 2023 at 12:58:01PM +0000, Lee Jones wrote:
> > > On Thu, 21 Dec 2023, Lee Jones wrote:
> > > 
> > > > On Thu, 21 Dec 2023 16:58:05 +1100, Stephen Rothwell wrote:
> > > > > After merging the backlight tree, today's linux-next build (x86_64
> > > > > allmodconfig) failed like this:
> > > > > 
> > > > > drivers/video/backlight/mp3309c.c: In function 'mp3309c_bl_update_status':
> > > > > drivers/video/backlight/mp3309c.c:134:23: error: implicit declaration of function 'pwm_apply_state'; did you mean 'pwm_apply_args'? [-Werror=implicit-function-declaration]
> > > > >   134 |                 ret = pwm_apply_state(chip->pwmd, &pwmstate);
> > > > >       |                       ^~~~~~~~~~~~~~~
> > > > >       |                       pwm_apply_args
> > > > > 
> > > > > [...]
> > > > 
> > > > Applied, thanks!
> > > > 
> > > > [1/1] linux-next: build failure after merge of the pwm tree
> > > >       commit: f7baa9ccef93ba1c36a8ecf58c2f4e86fb3181b9
> > > 
> > > Actually it's:
> > > 
> > >   f7baa9ccef93b ("backlight: mp3309c: Rename  pwm_apply_state() to pwm_apply_might_sleep()")
> > > 
> > > But don't bank on the commit ID staying the same.
> > 
> > This is likely going to break the build on your branch because
> > pwm_apply_might_sleep() is only available in the PWM tree right now. In
> > any case, I've now pushed a commit that adds pwm_apply_state() back as a
> > compatibility stub, so it should be okay for you to drop this if you
> > run into problems. It's always possible that somebody else wants to add
> > a new caller of pwm_apply_state() and in retrospect we should've
> > probably done this from the start, at least as a transitional measure
> > for one or two cycles.
> > 
> 
> Hi Lee and Thierry,
> 
> I know that we're still on New Year vibes, so some things are not up to full
> steam for now; but since we're close to v6.7 release and v6.8 merge window,
> hence allow me to ask:
> 
> Stephen Rothwell is still complaining about backlight tree build failure
> due to f7baa9ccef93b, yet it has not been fixed so far. Has the culprit
> been dropped/reverted as he requested? The worst case is the culprit slips
> through and become part of backlight PR and Linus will likely not happy
> with the build regression (maybe he had to fix by himself).

This should be fixed by 9a216587a03df, and on current linux-next I can't 
reproduce the problem any more (x86_64 allmodconfig).

Thanks,
Sean